Advertisement:

Author Topic: Unable to update from 1.14 to 2.0  (Read 2079 times)

Offline RasmusBeach

  • Newbie
  • *
  • Posts: 2
Unable to update from 1.14 to 2.0
« on: August 20, 2011, 05:16:03 AM »
Hi there

It all started when I noticed that the captcha wasn't refreshing. It was just showing the same letters over and over, and I have been getting a lot of spammers on my forum, so many I had to close registration down. I wanted something better, and in this process noticed that 2.0 was out. Nice. Have to upgrade!

Start with the webupdate
After running the webinstall.php and filling out the information I get

Warning: Cannot modify header information - headers already sent by (output started at /home/lociamco/public_html/forum/webinstall.php:2) in /home/lociamco/public_html/forum/webinstall.php on line 916


So that didn't work.
What it did do, however, was mess up the forum completely, so now it is just spouting

Unknown column 'a.attachment_type' in 'field list'

No matter where I try to go. I am guessing the forum is gone, I just hope the backup holds out somehow.
Should I delete the entire thing and try from scratch?


Edit: I have another issue. After doing a backup and trying to restore a forum I keep getting

MySQL said: Documentation
#1007 - Can't create database 'domain_smf1'; database exists


So how do I replace the current (default empty) database with the stuff I have in the backup?
« Last Edit: August 20, 2011, 06:15:11 AM by RasmusBeach »

Offline Illori

  • Doc Coordinator
  • SMF Master
  • *
  • Posts: 36,676
Re: Unable to update from 1.14 to 2.0
« Reply #1 on: August 20, 2011, 06:52:57 AM »
please read Upgrading SMF and use the large upgrade package

Restoring a Database

Offline RasmusBeach

  • Newbie
  • *
  • Posts: 2
Re: Unable to update from 1.14 to 2.0
« Reply #2 on: August 21, 2011, 02:08:54 AM »
And that does not help me much, since the package reads as "corrupt".
Oh well.

Thank you for the links.

Offline emanuele

  • SMF Super Hero
  • *******
  • Posts: 14,161
  • Gender: Male
  • THERE'S JUST ME
Re: Unable to update from 1.14 to 2.0
« Reply #3 on: August 21, 2011, 04:42:24 AM »
Unknown column 'a.attachment_type' in 'field list'

No matter where I try to go. I am guessing the forum is gone, I just hope the backup holds out somehow.
Should I delete the entire thing and try from scratch?
I would say: no. But probably it's too late...


Edit: I have another issue. After doing a backup and trying to restore a forum I keep getting

MySQL said: Documentation
#1007 - Can't create database 'domain_smf1'; database exists


So how do I replace the current (default empty) database with the stuff I have in the backup?
That's probably because you did a backup of the entire database and phpmyadmin puts at the beginning of the backup the command to create a new db, but the db already exists and here it is the error.

What you can do now is open your backup with a text editor like notepadd++ and remove the line/s that instruct phpmyadmin to create the database. Right now I don't remember the exact code, but it should be something like:
Code: [Select]
CREATE DATABASE domain_smf1 ...other things;and it should be one of the very firsts lines of the file.

If you are not sure don't remove anything and wait (or ask) for more informations. ;) (now I'm in a hurry and cannot check the correct code, sorry)


Take a peek at what I'm doing! ;D



Hai bisogno di supporto in Italiano?

Aiutateci ad aiutarvi: spiegate bene il vostro problema: no, "non funziona" non รจ una spiegazione!!
1) Cosa fai,
2) cosa ti aspetti,
3) cosa ottieni.

Offline Illori

  • Doc Coordinator
  • SMF Master
  • *
  • Posts: 36,676
Re: Unable to update from 1.14 to 2.0
« Reply #4 on: August 21, 2011, 06:04:33 AM »
the first error message you got is from not running upgrade.php if you had come here after that we could have helped you easier.  now it is just confusing as to what you have done and where you are.

Offline oyedepo1

  • Semi-Newbie
  • *
  • Posts: 66
Re: Unable to update from 1.14 to 2.0
« Reply #5 on: August 21, 2011, 09:33:44 AM »
Sorry to have use this medium as no one is attending to my thread.

I just upgraded and then went to www...com/upgrade.php and the first step is to login. I tried to login with my admin details but it's not working. I then tried to disable the login process and still not working. Pls help me. It's been 3 days now.

Offline Illori

  • Doc Coordinator
  • SMF Master
  • *
  • Posts: 36,676
Re: Unable to update from 1.14 to 2.0
« Reply #6 on: August 21, 2011, 09:50:32 AM »
please do not post in threads by someone else just to get attention to your issue, it is harder for us to track each issue when you do this.

Offline oyedepo1

  • Semi-Newbie
  • *
  • Posts: 66
Re: Unable to update from 1.14 to 2.0
« Reply #7 on: August 21, 2011, 09:59:59 AM »
please do not post in threads by someone else just to get attention to your issue, it is harder for us to track each issue when you do this.

Okay. Sorry to have done that but pls can you give me a solution to my problem. Thanks.

http://www.simplemachines.org/community/index.php?topic=447195.0

Offline JimM

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 11,977
  • Gender: Male
    • Southern Spirit Hunters
Re: Unable to update from 1.14 to 2.0
« Reply #8 on: September 03, 2011, 03:46:34 PM »
Welcome to SMF, RasmusBeach.

Were you able to complete the upgrade or at least get your forum back up? 
Jim "JimM" Moore
Former Support Specialist
jimm@simplemachines.org

Please do not PM me for support!                   
Installing SMF
Upgrade SMF
Manual Installation of Mods